Skip to main content
PUT
/
feature-flags
/
v3
/
{appId}
/
flags
/
{flagName}
/
portals
/
{portalId}
Set an account flag state
curl --request PUT \
  --url https://api.hubapi.com/feature-flags/v3/{appId}/flags/{flagName}/portals/{portalId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "flagState": "ABSENT"
}
'
{
  "appId": 123,
  "flagName": "<string>",
  "flagState": "ABSENT",
  "portalId": 123
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

appId
integer<int32>
required
flagName
string
required
portalId
integer<int32>
required

Body

application/json
flagState
enum<string>
required

The state that the given flag should be in for this portal

Available options:
ABSENT,
OFF,
ON

Response

successful operation

appId
integer<int32>
required

The ID of the app

flagName
string
required

The name of the flag

flagState
enum<string>
required

The state of the flag for this portal

Available options:
ABSENT,
OFF,
ON
portalId
integer<int32>
required

The ID of the portal

Last modified on March 30, 2026